#include "common.h"
#include <math.h>
#include <stdio.h>
#include <stdlib.h>
#include <stdint.h>
#include <string.h>

#ifdef __cplusplus
extern "C" {
#endif

int
LLVMFuzzerTestOneInput(const uint8_t *data, size_t size) {
    size_t i = 0;

    char string_eq_const_0_0[7] = { 0 };
    char string_eq_const_1_0[7] = { 0 };
    char string_eq_const_2_0[6] = { 0 };
    char string_eq_const_3_0[8] = { 0 };
    char string_eq_const_4_0[4] = { 0 };
    char string_eq_const_5_0[3] = { 0 };

    if (size < 29)
        return TEPHRA_EXIT_FAILURE;


    memcpy(&string_eq_const_0_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_1_0, &data[i], 6);
    i += 6;
    memcpy(&string_eq_const_2_0, &data[i], 5);
    i += 5;
    memcpy(&string_eq_const_3_0, &data[i], 7);
    i += 7;
    memcpy(&string_eq_const_4_0, &data[i], 3);
    i += 3;
    memcpy(&string_eq_const_5_0, &data[i], 2);
    i += 2;


    if (strcmp(string_eq_const_0_0, "-b.R'e") == 0)
    if (strcmp(string_eq_const_1_0, "pM@mk;") == 0)
    if (strcmp(string_eq_const_2_0, "H{yon") == 0)
    if (strcmp(string_eq_const_3_0, "ArHXx{Z") == 0)
    if (strcmp(string_eq_const_4_0, "H&E") == 0)
    if (strcmp(string_eq_const_5_0, "*w") == 0)
        BOOM();

    return TEPHRA_EXIT_SUCCESS;
}

#ifdef __cplusplus
}
#endif
